import * as codepipeline from '@aws-cdk/aws-codepipeline';
import * as cdk from '@aws-cdk/core';
/**
 * @experimental
 */
export interface GithubNotifierProps {
    /**
     * @experimental
     */
    readonly githubToken: cdk.SecretValue;
}
/**
 * @experimental
 */
export declare class GithubNotifier extends cdk.Construct {
    private readonly eventHandler;
    /**
     * @experimental
     */
    constructor(scope: cdk.Construct, id: string, props: GithubNotifierProps);
    /**
     * @experimental
     */
    onPipelineStateChange(pipeline: codepipeline.Pipeline, stateContext?: string): void;
    /**
     * @experimental
     */
    onStageStateChange(stage: codepipeline.IStage, stateContext?: string): void;
    /**
     * @experimental
     */
    onActionStateChange(action: codepipeline.IAction, stateContext: string): void;
}
